Bug 129970 - kernel-2.6.8-1.520 prevents use of 0x4000000
kernel-2.6.8-1.520 prevents use of 0x4000000
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-15 21:12 EDT by Nathan G. Grennan
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-20 16:54:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathan G. Grennan 2004-08-15 21:12:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040809 Galeon/1.3.17

Description of problem:
I found I was unable to use Windows programs or dlls with
kernel-2.6.8-1.520 via winex or mplayer. I had disabled exec-shield
and prelink. I tested various kernels and tracked it down to the
kernel that introduced the problem. kernel-2.6.7-1.515 works while
kernel-2.6.7-1.517 does not.

Version-Release number of selected component (if applicable):
kernel-2.6.8-1.520

How reproducible:
Always

Steps to Reproduce:
1. Change /etc/sysconfig/prelink to disable prelink, PRELINKING=NO
2. /etc/cron.daily/prelink
3. Install kernel-2.6.7-1.520
3. add exec-shield to the kernel line in /etc/grub.conf
4. Reboot
5. Try to play wmv files with mplayer via Windows dlls

Actual Results:  Segmentation fault

Expected Results:  Video playing

Additional info:
Comment 1 Nathan G. Grennan 2004-08-15 21:13:29 EDT
I mean add exec-shield=0
Comment 2 Nathan G. Grennan 2004-08-20 01:23:36 EDT
This still is a problem with 2.6.8-1.524, and now is most likely going
to turn ugly now that 2.6.8-1.521 has been released as an update for
Fedora Core 2.
Comment 3 Nathan G. Grennan 2004-08-20 16:31:21 EDT
linux-2.6.8-execshield-vaspace.patch is the culprit. I recompiled
2.6.7-1.517 without that patch, and the problem went away. From what I
can tell it randomizes addresses even than before, and still does so
when exec-shield is "disabled".
Comment 4 Nathan G. Grennan 2004-08-20 16:54:12 EDT
Found mention of echo 1 > /proc/sys/vm/legacy_va_layout at
http://www.redhat.com/archives/fedora-announce-list/2004-August/msg00025.html

This fixes the issue.

Note You need to log in before you can comment on or make changes to this bug.